Page MenuHomePhabricator

[IROutliner] Do not outline from regions that are marked with OptNone
ClosedPublic

Authored by AndrewLitteken on Mar 13 2022, 9:59 PM.

Details

Summary

Since the IROutliner is performing an optimization, it should not outline from functions explicitly marked with optnone. This adds an extra check and test to make sure this does not occur.

Diff Detail

Event Timeline

AndrewLitteken created this revision.Mar 13 2022, 9:59 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 13 2022, 9:59 PM
AndrewLitteken requested review of this revision.Mar 13 2022, 9:59 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 13 2022, 9:59 PM
paquette accepted this revision.Mar 14 2022, 9:57 AM

LGTM

FWIW I think we could shave off some compile time if we could make some sort of interface to the similarity identifier that tells it "this is for outlining". That may just be a subclass or something of the similarity identifier.

This revision is now accepted and ready to land.Mar 14 2022, 9:57 AM
This revision was landed with ongoing or failed builds.Mar 20 2022, 9:39 PM
This revision was automatically updated to reflect the committed changes.